// FDPrpPolyJoint.cpp : _xZkqqHx_iDeDiDjDiDhGiDiKiDiBiDjDiDgFiBfLiDfGiDiHiDjD_xHqqkZx_ _xZkqqHx_iDhEiDeAiDeDiDiL_xHqqkZx_
//

#include "stdafx.h"
//#include <stdlib.h>		// for strtod.
#include "DynamicDraw.h"
//#include "FDExtern.h"	// For FDJT_XX TYPE.
#include "ProPolyJoint.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFCProPolyJoint _xZkqqHx_iDhGiDiNiDhAiDgFiDeC_xHqqkZx_ _xZkqqHx_iDhJiBfLiDfH_xHqqkZx_

IMPLEMENT_DYNCREATE(CFCProPolyJoint, CFCProObjProperty)

CFCProPolyJoint::CFCProPolyJoint () : CFCProObjProperty(CFCProPolyJoint::IDD)
{
	//{{AFX_DATA_INIT(CFCProPolyJoint)
	//}}AFX_DATA_INIT

	// _xZkqqHx_iDiBiDgCiDfKiBfLiDfHiPiIjHjNjCiGiCmMiDhEiDiJiDePiCpAjAnNjCoIiBeC_xHqqkZx_
	m_bProhibitMsg = TRUE;
} // CFCProPolyJoint::CFCProPolyJoint.

CFCProPolyJoint::~CFCProPolyJoint ()
{
} // CFCProPolyJoint::~CFCProPolyJoint.

void CFCProPolyJoint::DoDataExchange(CDataExchange* pDX)
{
	CFCProObjProperty::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CFCProPolyJoint)
	//}}AFX_DATA_MAP
} // CFCProPolyJoint::DoDataExchange.


BEGIN_MESSAGE_MAP(CFCProPolyJoint, BASE_CLASS)
	//{{AFX_MSG_MAP(CFCProPolyJoint)
	ON_CBN_SELCHANGE(IDC_PJT_CMB_JOINT_TYPE, OnSelchangePjtCmbJointType)
	ON_EN_CHANGE(IDC_PJT_EDT_PIVOT_X, OnChangePjtEdtPivotX)
	ON_EN_CHANGE(IDC_PJT_EDT_PIVOT_Y, OnChangePjtEdtPivotY)
	ON_EN_CHANGE(IDC_PJT_EDT_PREV_PULL_X, OnChangePjtEdtPrevPullX)
	ON_EN_CHANGE(IDC_PJT_EDT_PREV_PULL_Y, OnChangePjtEdtPrevPullY)
	ON_EN_CHANGE(IDC_PJT_EDT_NEXT_PULL_X, OnChangePjtEdtNextPullX)
	ON_EN_CHANGE(IDC_PJT_EDT_NEXT_PULL_Y, OnChangePjtEdtNextPullY)
	ON_COMMAND(ID_DIALOG_INIT_VALUE, OnDialogInitValue)
	ON_WM_CTLCOLOR()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CFCProPolyJoint _xZkqqHx_iDiBiDgCiDfKiBfLiDfH_xHqqkZx_ _xZkqqHx_iDgOiDjDiDgIiDiJ_xHqqkZx_

